Skip to main content
GET
/
phone-numbers
/
{phoneNumber}
/
status
Gets phone number status.
curl --request GET \
  --url https://api.leadping.ai/phone-numbers/{phoneNumber}/status
{
  "number": "<string>",
  "messagesPossible": "<string>",
  "messagesWarmed": "<string>",
  "callsPossible": "<string>",
  "warmupCallsMade": "<string>",
  "smsWarmup": {
    "phoneNumberId": "<string>",
    "phoneNumber": "<string>",
    "healthScore": "<string>",
    "progressPercent": "<string>",
    "sentCount": "<string>",
    "receivedCount": "<string>",
    "deliveredCount": "<string>",
    "failureCount": "<string>",
    "carrierRejectionCount": "<string>",
    "optOutSignalCount": "<string>",
    "spamSignalCount": "<string>",
    "deliverySuccessRate": "<string>",
    "nextScheduledActionAt": "2023-11-07T05:31:56Z",
    "lastSuccessfulMessageAt": "2023-11-07T05:31:56Z",
    "lastHealthSnapshotAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "pauseReason": "<string>",
    "blockReason": "<string>",
    "warmupEnabled": true,
    "isInternalPool": true,
    "isApprovedTestDestination": true,
    "isMessagingProgramApproved": true,
    "globalWarmupEnabled": true,
    "canPause": true,
    "canResume": true,
    "uiState": {
      "tone": "<string>",
      "description": "<string>"
    },
    "recentActions": [
      {
        "id": "<string>",
        "conversationId": "<string>",
        "fromPhoneNumber": "<string>",
        "toPhoneNumber": "<string>",
        "body": "<string>",
        "scheduledAt": "2023-11-07T05:31:56Z",
        "executedAt": "2023-11-07T05:31:56Z",
        "failureReason": "<string>"
      }
    ]
  },
  "optOutMetrics": {
    "windowDays": "<string>",
    "windowStartedAt": "2023-11-07T05:31:56Z",
    "distinctContactedCount": "<string>",
    "optOutCount": "<string>",
    "optOutRatePercent": "<string>"
  },
  "trafficMetrics": {
    "windowDays": "<string>",
    "windowStartedAt": "2023-11-07T05:31:56Z",
    "smsSentCount": "<string>",
    "smsFailedCount": "<string>",
    "callPlacedCount": "<string>",
    "callFailedCount": "<string>"
  },
  "recentEvents": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "label": "<string>",
      "eventType": "<string>",
      "direction": "<string>",
      "fromPhoneNumber": "<string>",
      "toPhoneNumber": "<string>",
      "textPreview": "<string>",
      "providerStatus": "<string>",
      "isOptOut": true
    }
  ]
}

Path Parameters

phoneNumber
string
required

The phone number to check the status for.

Query Parameters

windowDays
string<int32>

The window days.

Pattern: ^-?(?:0|[1-9]\d*)$
startDate
string<date>

The start date.

endDate
string<date>

The end date.

Response

Phone number status was successfully retrieved.

API response containing phone number status data returned to callers.

number
string

The number value for this phone number status.

messagesPossible
string<int32>

The messages possible value for this phone number status.

Pattern: ^-?(?:0|[1-9]\d*)$
messagesWarmed
string<int32>

The messages warmed value for this phone number status.

Pattern: ^-?(?:0|[1-9]\d*)$
callsPossible
string<int32>

The calls possible value for this phone number status.

Pattern: ^-?(?:0|[1-9]\d*)$
warmupCallsMade
string<int32>

The warmup calls made value for this phone number status.

Pattern: ^-?(?:0|[1-9]\d*)$
smsWarmup
object

The SMS warmup value for this phone number status.

optOutMetrics
object

The opt out metrics value for this phone number status.

trafficMetrics
object

The traffic metrics value for this phone number status.

recentEvents
object[]

The recent events included with this phone number status.